Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Protected Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\Matcher\ContentMatcherFactory Class Reference
Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Matcher\ContentMatcherFactory:

## Protected Member Functions
| doMatch (MatcherInterface $matcher, View $view)
| Checks if $valueObject matches $matcher rules. More...
Protected Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\ContentBasedMatcherFactory
| getMatcher ($matcherIdentifier)
| Returns the matcher object. More...

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| __construct (Repository $repository, array $matchConfig=[])
| match (View $view)
| Checks if $valueObject has a usable configuration for $viewType. More...
Public Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\ContentBasedMatcherFactory
const | MATCHER_RELATIVE_NAMESPACE = 'eZ\\Publish\\Core\\MVC\\Symfony\\Matcher\\ContentBased'
Protected Attributes inherited from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory
| $repository
| $matchConfig
| $matchers
| $matcherRelativeNamespace
| $alreadyMatched

## Detailed Description

Deprecated:
  Deprecated since 6.0, will be removed in 6.1.

Use the ClassNameMatcherFactory instead.

Definition at line 16 of file Publish/Core/MVC/Symfony/Matcher/ContentMatcherFactory.php.

## Member Function Documentation

## ◆ doMatch()

eZ\Publish\Core\MVC\Symfony\Matcher\ContentMatcherFactory::doMatch | ( | MatcherInterface | $matcher,
|  | View | $view
| ) |  |
| protected

Checks if $valueObject matches $matcher rules.

Parameters

  \eZ\Publish\Core\MVC\Symfony\Matcher\MatcherInterface | $matcher |
  \eZ\Publish\Core\MVC\Symfony\View\View | $view |

Returns
  bool

param \eZ\Publish\API\Repository\Values\ValueObject $valueObject

Reimplemented from eZ\Publish\Core\MVC\Symfony\Matcher\AbstractMatcherFactory.

Definition at line 28 of file Publish/Core/MVC/Symfony/Matcher/ContentMatcherFactory.php.

The documentation for this class was generated from the following file:

- Publish/Core/MVC/Symfony/Matcher/ContentMatcherFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.